import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (c, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, l) : t, p = c.length - 1, s; p >= 0; p--)
    (s = c[p]) && (e = (r ? s(t, l, e) : s(e)) || e);
  return r && e && f(t, l, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--laptopFilledLarge", this.class = "c-pieIcon c-pieIcon--laptopFilledLarge", this.name = "IconLaptopFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--laptopFilledLarge"><path d="M26.5 19.269V7.255a2.633 2.633 0 0 0-2.625-2.625H8.125A2.633 2.633 0 0 0 5.5 7.255v12.014L2 25.394v.236a2.633 2.633 0 0 0 2.625 2.625h22.75A2.633 2.633 0 0 0 30 25.63v-.236l-3.5-6.125Zm-14 4.611H9v-1.75h3.5v1.75Zm5.25 0h-3.5v-1.75h3.5v1.75Zm5.25 0h-3.5v-1.75H23v1.75Zm1.75-5.25H7.25V7.255c0-.481.394-.875.875-.875h15.75c.481 0 .875.394.875.875V18.63Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  v("icon-laptop-filled-large")
], o);
export {
  o as IconLaptopFilledLarge
};
